# Эвристики для определения пола
gender:
  lastname:
    # Здесь андрогинные фамилии не выделены в отдельную группу. Если в группе female и male
    # не будет найдено совпадений, то фамилия будет считаться андрогинной.
    exceptions:
      androgynous:
        - бова
        - регин
        - дарвин
        - пэйлин
        - грин
        - цин
        - шенгелая
    suffixes:
      female:
        - ова
        - ая
        - ына
        - ина
        - ева
        - ска
        - ёва
      male:
        - кий
        - ов
        - ын
        - ев
        - ин
        - ёв
        - хий
        - ний
        - ый
        - ой
  firstname:
    # сортировка по окончанию
    exceptions:
      androgynous:
        - сева
        - иона
        - муса
        - саша
        - алвард
        - валери
        - кири
        - анри
        - ким
        - райхон
        - закия
        - захария
        - женя
      male:
        - абиба
        - савва
        - лёва
        - вова
        - ага
        - ахмедага
        - алиага
        - амирага
        - агга
        - серега
        - фейга
        - гога
        - алиада
        - муктада
        - абида
        - алда
        - маджуда
        - нурлыхуда
        - гиа
        - элиа
        - гарсиа
        - вавила
        - гавриила
        - генка
        - лука
        - дима
        - зосима
        - тима
        - фима
        - фома
        - кузьма
        - жора
        - миша
        - ермила
        - данила
        - гаврила
        - абдалла
        - аталла
        - абдилла
        - атилла
        - кайролла
        - абулла
        - абула
        - свитлана
        - бена
        - гена
        - агелина
        - джанна
        - кришна
        - степа
        - дра
        - назера
        - валера
        - эстера
        - двойра
        - калистра
        - заратустра
        - юра
        - иса
        - аиса
        - халиса
        - холиса
        - валенса
        - мусса
        - ата
        - паата
        - алета
        - никита
        - мота
        - шота
        - фаста
        - коста
        - маритта
        - малюта
        - васюта
        - вафа
        - мустафа
        - ганифа
        - лев
        - яков
        - шелли
        - константин
        - марсель
        - рамиль
        - эмиль
        - бактыгуль
        - даниэль
        - игорь
        - арминэ
        - изя
        - кузя
        - гия
        - мазия
        - кирикия
        - ркия
        - еркия
        - эркия
        - гулия
        - аксания
        - закария
        - зекерия
        - гарсия
        - шендля
        - филя
        - вилля
        - толя
        - ваня
        - саня
        - загиря
        - боря
        - цайся
        - вася
        - ося
        - петя
        - витя
        - митя
        - костя
        - алья
        - илья
        - ларья
      female:
        - судаба
        - сураба
        - любава
        - джанлука
        - варвара
        - наташа
        - зайнаб
        - любов
        - сольвейг
        - шакед
        - аннаид
        - ингрид
        - синди
        - аллаберди
        - сандали
        - лали
        - натали
        - гулькай
        - алтынай
        - гюнай
        - гюльчитай
        - нурангиз
        - лиз
        - элиз
        - ботагоз
        - юлдуз
        - диляфруз
        - габи
        - сажи
        - фанни
        - мери
        - элдари
        - эльдари
        - хилари
        - хиллари
        - аннемари
        - розмари
        - товсари
        - ансари
        - одри
        - тери
        - ири
        - катри
        - мэри
        - сатаней
        - ефтений
        - верунчик
        - гюзел
        - этел
        - рэйчел
        - джил
        - мерил
        - нинелл
        - бурул
        - ахлам
        - майрам
        - махаррам
        - мириам
        - дилярам
        - асем
        - мерьем
        - мирьем
        - эркаим
        - гулаим
        - айгерим
        - марьям
        - мирьям
        - эван
        - гульжиган
        - айдан
        - айжан
        - вивиан
        - гульжиан
        - лилиан
        - мариан
        - саиман
        - джоан
        - чулпан
        - лоран
        - моран
        - джохан
        - гульшан
        - аделин
        - жаклин
        - карин
        - каролин
        - каталин
        - катрин
        - керстин
        - кэтрин
        - мэрилин
        - рузалин
        - хелин
        - цеткин
        - ширин
        - элисон
        - дурсун
        - кристин
        - гульжиян
        - марьян
        - ренато
        - зейнеп
        - санабар
        - дильбар
        - гулизар
        - гульзар
        - пилар
        - дагмар
        - элинар
        - нилуфар
        - анхар
        - гаухар
        - естер
        - эстер
        - дженнифер
        - линор
        - элинор
        - элеонор
        - айнур
        - гульнур
        - шамсинур
        - элнур
        - ильсияр
        - нигяр
        - сигитас
        - агнес
        - анес
        - долорес
        - инес
        - анаис
        - таис
        - эллис
        - элис
        - кларис
        - амнерис
        - айрис
        - дорис
        - беатрис
        - грейс
        - грэйс
        - ботагос
        - маргос
        - джулианс
        - арус
        - диляфрус
        - саодат
        - зулхижат
        - хамат
        - патимат
        - хатимат
        - альжанат
        - маймунат
        - гульшат
        - биргит
        - рут
        - иргаш
        - айнаш
        - агнеш
        - зауреш
        - тэрбиш
        - ануш
        - азгануш
        - гаруш
        - николь
        - адась
        - афиля
        - тафиля
        - фаня
        - аня
    suffixes:
      androgynous:
        - улла
      male:
        - аба
        - б
        - ав
        - ев
        - ов
        - г
        - д
        - ж
        - з
        - би
        - ди
        - жи
        - али
        - ри
        - ай
        - ей
        - ий
        - ой
        - ый
        - к
        - л
        - ам
        - ем
        - им
        - ом
        - ум
        - ым
        - ям
        - ан
        - бен
        - вен
        - ген
        - ден
        - ин
        - сейн
        - он
        - ун
        - ян
        - ио
        - ло
        - ро
        - то
        - шо
        - п
        - ар
        - др
        - ер
        - ир
        - ор
        - тр
        - ур
        - ыр
        - яр
        - ас
        - ес
        - ис
        - йс
        - кс
        - мс
        - ос
        - нс
        - рс
        - ус
        - юс
        - яс
        - ат
        - мет
        - кт
        - нт
        - рт
        - ст
        - ут
        - ф
        - х
        - ш
        - ы
        - сь
        - емеля
        - коля
      female:
        - иба
        - люба
        - лава
        - ева
        - га
        - да
        - еа
        - иза
        - иа
        - ика
        - нка
        - ска
        - ела
        - ила
        - лла
        - эла
        - има
        - на
        - ра
        - са
        - та
        - фа
        - елли
        - еса
        - сса
        - гуль
        - нуэль
        - гюль
        - нэ
        - ая
        - ея
        - ия
        - йя
        - ля
        - мя
        - оя
        - ря
        - ся
        - вья
        - лья
        - мья
        - нья
        - рья
        - сья
        - тья
        - фья
        - зя
  middlename:
    suffixes:
      female:
        - на
        - кызы
        - гызы
      male:
        - ич
        - оглы
        - улы
        - уулу
